Loading...
Searching...
No Matches
Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex > Class Template Reference
Čech complex

Cech complex class. More...

`#include <include/gudhi/Cech_complex.h>`

## Public Member Functions

template<typename InputPointRange>
| Cech_complex (const InputPointRange &points, Filtration_value max_radius, const bool exact=false)
| Cech_complex constructor from a range of points.
void | create_complex (SimplicialComplexForCechComplex &complex, int dim_max)
| Initializes the simplicial complex from the proximity graph and expands it until a given maximal dimension, using the Cech blocker oracle.
Filtration_value | max_radius () const
const Point_d & | get_point (Vertex_handle vertex) const
std::vector< Sphere > & | get_cache ()
const bool | is_exact ()
| Check exact option.

## Detailed Description

template<typename Kernel, typename SimplicialComplexForCechComplex>
class Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >

Cech complex class.

Cech complex is a simplicial complex where the set of all simplices is filtered by the radius of their minimal enclosing ball and bounded by the given max_radius.

Template Parameters

  Kernel | CGAL kernel: either Epick_d or Epeck_d.
  SimplicialComplexForCechComplex | furnishes Vertex_handle and Filtration_value type definition required by Gudhi::Proximity_graph and Cech blocker.

Examples
  cech_complex_example_from_points.cpp, and cech_persistence.cpp.

## Constructor & Destructor Documentation

## Cech_complex()

template<typename Kernel, typename SimplicialComplexForCechComplex>
template<typename InputPointRange>

Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::Cech_complex | ( | const InputPointRange & | points,
|  | Filtration_value | max_radius,
|  | const bool | exact = false )

inline

Cech_complex constructor from a range of points.

Parameters

  [in] | points | Range of points where each point is defined as kernel::Point_d.
  [in] | max_radius | Maximal radius value.
  [in] | exact | Exact filtration values computation. Not exact if Kernel is not CGAL::Epeck_d. Default is false.

## Member Function Documentation

## create_complex()

template<typename Kernel, typename SimplicialComplexForCechComplex>

void Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::create_complex | ( | SimplicialComplexForCechComplex & | complex,
|  | int | dim_max )

inline

Initializes the simplicial complex from the proximity graph and expands it until a given maximal dimension, using the Cech blocker oracle.

Parameters

  [in] | complex | SimplicialComplexForCech to be created.
  [in] | dim_max | graph expansion until this given maximal dimension.

Exceptions

  std::invalid_argument | In debug mode, if `complex.num_vertices()` does not return 0.

## get_cache()

template<typename Kernel, typename SimplicialComplexForCechComplex>

std::vector< Sphere > & Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::get_cache | ( |  | ) |

inline

Returns
  Vector of cached spheres.

## get_point()

template<typename Kernel, typename SimplicialComplexForCechComplex>

const Point_d & Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::get_point | ( | Vertex_handle | vertex | ) | const

inline

Parameters

  [in] | vertex | Point position in the range.

Returns
  The point.

## is_exact()

template<typename Kernel, typename SimplicialComplexForCechComplex>

const bool Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::is_exact | ( |  | ) |

inline

Check exact option.

Returns
  Exact option.

## max_radius()

template<typename Kernel, typename SimplicialComplexForCechComplex>

Filtration_value Gudhi::cech_complex::Cech_complex< Kernel, SimplicialComplexForCechComplex >::max_radius | ( |  | ) | const

inline

Returns
  max_radius value given at construction.

The documentation for this class was generated from the following file:

- include/gudhi/Cech_complex.h